/**
 * Copyright 2005-2010 Noelios Technologies.
 * 
 * The contents of this file are subject to the terms of one of the following
 * open source licenses: LGPL 3.0 or LGPL 2.1 or CDDL 1.0 or EPL 1.0 (the
 * "Licenses"). You can select the license that you prefer but you may not use
 * this file except in compliance with one of these Licenses.
 * 
 * You can obtain a copy of the LGPL 3.0 license at
 * http://www.opensource.org/licenses/lgpl-3.0.html
 * 
 * You can obtain a copy of the LGPL 2.1 license at
 * http://www.opensource.org/licenses/lgpl-2.1.php
 * 
 * You can obtain a copy of the CDDL 1.0 license at
 * http://www.opensource.org/licenses/cddl1.php
 * 
 * You can obtain a copy of the EPL 1.0 license at
 * http://www.opensource.org/licenses/eclipse-1.0.php
 * 
 * See the Licenses for the specific language governing permissions and
 * limitations under the Licenses.
 * 
 * Alternatively, you can obtain a royalty free commercial license with less
 * limitations, transferable or non-transferable, directly at
 * http://www.noelios.com/products/restlet-engine
 * 
 * Restlet is a registered trademark of Noelios Technologies.
 */

package sessionmodel;


import java.util.List;
import sessionmodel.Speaker;
import sessionmodel.Timeslot;

/**
* Generated by the generator tool for the OData extension for the Restlet framework.<br>
*
* @see <a href="http://sguest01/TRMobile/Services/ODATA.svc/$metadata">Metadata of the target OData service</a>
*
*/
public class Session {

    private String code;
    private int id;
    private String title;
    private List<Speaker> assistantSpeakers;
    private List<Speaker> primarySpeakers;
    private Timeslot timeslot;

    /**
     * Constructor without parameter.
     * 
     */
    public Session() {
        super();
    }

    /**
     * Constructor.
     * 
     * @param id
     *            The identifiant value of the entity.
     */
    public Session(int id) {
        this();
        this.id = id;
    }

   /**
    * Returns the value of the "code" attribute.
    *
    * @return The value of the "code" attribute.
    */
   public String getCode() {
      return code;
   }
   /**
    * Returns the value of the "id" attribute.
    *
    * @return The value of the "id" attribute.
    */
   public int getId() {
      return id;
   }
   /**
    * Returns the value of the "title" attribute.
    *
    * @return The value of the "title" attribute.
    */
   public String getTitle() {
      return title;
   }
   /**
    * Returns the value of the "assistantSpeakers" attribute.
    *
    * @return The value of the "assistantSpeakers" attribute.
    */
   public List<Speaker> getAssistantSpeakers() {
      return assistantSpeakers;
   }
   
   /**
    * Returns the value of the "primarySpeakers" attribute.
    *
    * @return The value of the "primarySpeakers" attribute.
    */
   public List<Speaker> getPrimarySpeakers() {
      return primarySpeakers;
   }
   
   /**
    * Returns the value of the "timeslot" attribute.
    *
    * @return The value of the "timeslot" attribute.
    */
   public Timeslot getTimeslot() {
      return timeslot;
   }
   
   /**
    * Sets the value of the "code" attribute.
    *
    * @param code
    *     The value of the "code" attribute.
    */
   public void setCode(String code) {
      this.code = code;
   }
   /**
    * Sets the value of the "id" attribute.
    *
    * @param id
    *     The value of the "id" attribute.
    */
   public void setId(int id) {
      this.id = id;
   }
   /**
    * Sets the value of the "title" attribute.
    *
    * @param title
    *     The value of the "title" attribute.
    */
   public void setTitle(String title) {
      this.title = title;
   }
   /**
    * Sets the value of the "assistantSpeakers" attribute.
    *
    * @param assistantSpeakers"
    *     The value of the "assistantSpeakers" attribute.
    */
   public void setAssistantSpeakers(List<Speaker> assistantSpeakers) {
      this.assistantSpeakers = assistantSpeakers;
   }

   /**
    * Sets the value of the "primarySpeakers" attribute.
    *
    * @param primarySpeakers"
    *     The value of the "primarySpeakers" attribute.
    */
   public void setPrimarySpeakers(List<Speaker> primarySpeakers) {
      this.primarySpeakers = primarySpeakers;
   }

   /**
    * Sets the value of the "timeslot" attribute.
    *
    * @param timeslot"
    *     The value of the "timeslot" attribute.
    */
   public void setTimeslot(Timeslot timeslot) {
      this.timeslot = timeslot;
   }

}