/**
*
*Copyright 2010 Microsoft Corp
*
*Licensed under the Apache License, Version 2.0 (the "License");
*you may not use this file except in compliance with the License.
*You may obtain a copy of the License at
*
*http://www.apache.org/licenses/LICENSE-2.0
*
*Unless required by applicable law or agreed to in writing, software
*distributed under the License is distributed on an "AS IS" BASIS,
*WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*See the License for the specific language governing permissions and
*limitations under the License.
*/
/**
* This code was generated by the tool 'odatagen'.
* Runtime Version:1.0
*
* Changes to this file may cause incorrect behavior and will be lost if
* the code is regenerated.
*/
/**
* Defines default Data Service URL for this proxy class
*/
#define DEFAULT_SERVICE_URL @""

#define DataServiceVersion @"1.0"

#import "ODataObject.h"
#import "ObjectContext.h"
#import "DataServiceQuery.h"
#import "ODataGUID.h"
#import "ODataBool.h"
#import  "mProperties.h"


/**
 * @interface:AccountManagerPicturesItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface AccountManagerPicturesItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_PictureWidth;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_PictureHeight;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_DatePictureTaken;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Description;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Keywords;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AccountManagerPicturesItem_CreatedBy
	* @FromRole:AccountManagerPicturesItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AccountManagerPicturesItem_ModifiedBy
	* @FromRole:AccountManagerPicturesItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AccountManagerPicturesItem_CheckedOutTo
	* @FromRole:AccountManagerPicturesItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getPictureWidth , setter=setPictureWidth )NSNumber *m_PictureWidth;
@property ( nonatomic , retain , getter=getPictureHeight , setter=setPictureHeight )NSNumber *m_PictureHeight;
@property ( nonatomic , retain , getter=getDatePictureTaken , setter=setDatePictureTaken )NSDate *m_DatePictureTaken;
@property ( nonatomic , retain , getter=getDescription , setter=setDescription ) NSString *m_Description;
@property ( nonatomic , retain , getter=getKeywords , setter=setKeywords ) NSString *m_Keywords;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreateAccountManagerPicturesItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:AnnouncementsItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface AnnouncementsItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Body;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Expires;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AnnouncementsItem_CreatedBy
	* @FromRole:AnnouncementsItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AnnouncementsItem_ModifiedBy
	* @FromRole:AnnouncementsItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:AnnouncementsItem_Attachments
	* @FromRole:AnnouncementsItem
	* @ToRole:Attachments
	*/
	NSMutableArray *m_Attachments;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getBody , setter=setBody ) NSString *m_Body;
@property ( nonatomic , retain , getter=getExpires , setter=setExpires )NSDate *m_Expires;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments )NSMutableArray *m_Attachments;

+ (id) CreateAnnouncementsItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:AttachmentsItem
 * @Type:EntityType
 
 * @key:EntitySet
 * @key:ItemId
 * @key:Name* 
 */
@interface AttachmentsItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_EntitySet;
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ItemId;
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Name;
	
}

@property ( nonatomic , retain , getter=getEntitySet , setter=setEntitySet ) NSString *m_EntitySet;
@property ( nonatomic , retain , getter=getItemId , setter=setItemId )NSNumber *m_ItemId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;

+ (id) CreateAttachmentsItemWithentityset:(NSString *)EntitySet itemid:(NSNumber *)ItemId name:(NSString *)Name;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:CalendarItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface CalendarItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Location;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_StartTime;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_EndTime;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Description;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_AllDayEvent;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_Recurrence;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_Workspace;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CategoryValue;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:CalendarItem_CreatedBy
	* @FromRole:CalendarItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:CalendarItem_ModifiedBy
	* @FromRole:CalendarItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:CalendarItem_Attachments
	* @FromRole:CalendarItem
	* @ToRole:Attachments
	*/
	NSMutableArray *m_Attachments;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:CalendarItem_Attendees
	* @FromRole:CalendarItem
	* @ToRole:Attendees
	*/
	NSMutableArray *m_Attendees;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:CalendarItem_Category
	* @FromRole:CalendarItem
	* @ToRole:Category
	*/
	NSMutableArray *m_Category;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getLocation , setter=setLocation ) NSString *m_Location;
@property ( nonatomic , retain , getter=getStartTime , setter=setStartTime )NSDate *m_StartTime;
@property ( nonatomic , retain , getter=getEndTime , setter=setEndTime )NSDate *m_EndTime;
@property ( nonatomic , retain , getter=getDescription , setter=setDescription ) NSString *m_Description;
@property ( nonatomic , retain , getter=getAllDayEvent , setter=setAllDayEvent )ODataBool *m_AllDayEvent;
@property ( nonatomic , retain , getter=getRecurrence , setter=setRecurrence )ODataBool *m_Recurrence;
@property ( nonatomic , retain , getter=getWorkspace , setter=setWorkspace )ODataBool *m_Workspace;
@property ( nonatomic , retain , getter=getCategoryValue , setter=setCategoryValue ) NSString *m_CategoryValue;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments )NSMutableArray *m_Attachments;
@property ( nonatomic , retain , getter=getAttendees , setter=setAttendees )NSMutableArray *m_Attendees;
@property ( nonatomic , retain , getter=getCategory , setter=setCategory )NSMutableArray *m_Category;

+ (id) CreateCalendarItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:CalendarCategoryValue
 * @Type:EntityType
 
 * @key:Value* 
 */
@interface CalendarCategoryValue : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Value;
	
}

@property ( nonatomic , retain , getter=getValue , setter=setValue ) NSString *m_Value;

+ (id) CreateCalendarCategoryValueWithvalue:(NSString *)Value;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:LinksItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface LinksItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_URL;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Notes;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:LinksItem_CreatedBy
	* @FromRole:LinksItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:LinksItem_ModifiedBy
	* @FromRole:LinksItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getURL , setter=setURL ) NSString *m_URL;
@property ( nonatomic , retain , getter=getNotes , setter=setNotes ) NSString *m_Notes;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;

+ (id) CreateLinksItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:MasterPageGalleryItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface MasterPageGalleryItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Description;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:MasterPageGalleryItem_CreatedBy
	* @FromRole:MasterPageGalleryItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:MasterPageGalleryItem_ModifiedBy
	* @FromRole:MasterPageGalleryItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:MasterPageGalleryItem_CheckedOutTo
	* @FromRole:MasterPageGalleryItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:MasterPageGalleryItem_CompatibleUIVersionS
	* @FromRole:MasterPageGalleryItem
	* @ToRole:CompatibleUIVersionS
	*/
	NSMutableArray *m_CompatibleUIVersionS;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getDescription , setter=setDescription ) NSString *m_Description;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;
@property ( nonatomic , retain , getter=getCompatibleUIVersionS , setter=setCompatibleUIVersionS )NSMutableArray *m_CompatibleUIVersionS;

+ (id) CreateMasterPageGalleryItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:MasterPageGalleryCompatibleUIVersionSValue
 * @Type:EntityType
 
 * @key:Value* 
 */
@interface MasterPageGalleryCompatibleUIVersionSValue : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Value;
	
}

@property ( nonatomic , retain , getter=getValue , setter=setValue ) NSString *m_Value;

+ (id) CreateMasterPageGalleryCompatibleUIVersionSValueWithvalue:(NSString *)Value;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:PowerPivotGalleryItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface PowerPivotGalleryItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:PowerPivotGalleryItem_CreatedBy
	* @FromRole:PowerPivotGalleryItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:PowerPivotGalleryItem_ModifiedBy
	* @FromRole:PowerPivotGalleryItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:PowerPivotGalleryItem_CheckedOutTo
	* @FromRole:PowerPivotGalleryItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreatePowerPivotGalleryItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:ReportingServicesItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface ReportingServicesItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:ReportingServicesItem_CreatedBy
	* @FromRole:ReportingServicesItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:ReportingServicesItem_ModifiedBy
	* @FromRole:ReportingServicesItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:ReportingServicesItem_CheckedOutTo
	* @FromRole:ReportingServicesItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreateReportingServicesItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:SharedDocumentsItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface SharedDocumentsItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SharedDocumentsItem_CreatedBy
	* @FromRole:SharedDocumentsItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SharedDocumentsItem_ModifiedBy
	* @FromRole:SharedDocumentsItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SharedDocumentsItem_CheckedOutTo
	* @FromRole:SharedDocumentsItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreateSharedDocumentsItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:SiteAssetsItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface SiteAssetsItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SiteAssetsItem_CreatedBy
	* @FromRole:SiteAssetsItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SiteAssetsItem_ModifiedBy
	* @FromRole:SiteAssetsItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SiteAssetsItem_CheckedOutTo
	* @FromRole:SiteAssetsItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreateSiteAssetsItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:SitePagesItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface SitePagesItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_CopySource;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ApprovalStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CheckedOutToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_VirusStatus;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsCurrentVersion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_WikiContent;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SitePagesItem_CreatedBy
	* @FromRole:SitePagesItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SitePagesItem_ModifiedBy
	* @FromRole:SitePagesItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:SitePagesItem_CheckedOutTo
	* @FromRole:SitePagesItem
	* @ToRole:CheckedOutTo
	*/
	NSMutableArray *m_CheckedOutTo;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getCopySource , setter=setCopySource ) NSString *m_CopySource;
@property ( nonatomic , retain , getter=getApprovalStatus , setter=setApprovalStatus ) NSString *m_ApprovalStatus;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCheckedOutToId , setter=setCheckedOutToId )NSNumber *m_CheckedOutToId;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getVirusStatus , setter=setVirusStatus ) NSString *m_VirusStatus;
@property ( nonatomic , retain , getter=getIsCurrentVersion , setter=setIsCurrentVersion )ODataBool *m_IsCurrentVersion;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getWikiContent , setter=setWikiContent ) NSString *m_WikiContent;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getCheckedOutTo , setter=setCheckedOutTo )NSMutableArray *m_CheckedOutTo;

+ (id) CreateSitePagesItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:TasksItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface TasksItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Title;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_PriorityValue;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_StatusValue;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Double
	*/
	NSDecimalNumber *m_Complete;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_AssignedToId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_TaskGroupId;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Description;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_StartDate;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_DueDate;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_CreatedBy
	* @FromRole:TasksItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_ModifiedBy
	* @FromRole:TasksItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_Attachments
	* @FromRole:TasksItem
	* @ToRole:Attachments
	*/
	NSMutableArray *m_Attachments;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_Predecessors
	* @FromRole:TasksItem
	* @ToRole:Predecessors
	*/
	NSMutableArray *m_Predecessors;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_Priority
	* @FromRole:TasksItem
	* @ToRole:Priority
	*/
	NSMutableArray *m_Priority;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_Status
	* @FromRole:TasksItem
	* @ToRole:Status
	*/
	NSMutableArray *m_Status;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_AssignedTo
	* @FromRole:TasksItem
	* @ToRole:AssignedTo
	*/
	NSMutableArray *m_AssignedTo;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TasksItem_TaskGroup
	* @FromRole:TasksItem
	* @ToRole:TaskGroup
	*/
	NSMutableArray *m_TaskGroup;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getPriorityValue , setter=setPriorityValue ) NSString *m_PriorityValue;
@property ( nonatomic , retain , getter=getStatusValue , setter=setStatusValue ) NSString *m_StatusValue;
@property ( nonatomic , retain , getter=getComplete , setter=setComplete )NSDecimalNumber *m_Complete;
@property ( nonatomic , retain , getter=getAssignedToId , setter=setAssignedToId )NSNumber *m_AssignedToId;
@property ( nonatomic , retain , getter=getTaskGroupId , setter=setTaskGroupId )NSNumber *m_TaskGroupId;
@property ( nonatomic , retain , getter=getDescription , setter=setDescription ) NSString *m_Description;
@property ( nonatomic , retain , getter=getStartDate , setter=setStartDate )NSDate *m_StartDate;
@property ( nonatomic , retain , getter=getDueDate , setter=setDueDate )NSDate *m_DueDate;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments )NSMutableArray *m_Attachments;
@property ( nonatomic , retain , getter=getPredecessors , setter=setPredecessors )NSMutableArray *m_Predecessors;
@property ( nonatomic , retain , getter=getPriority , setter=setPriority )NSMutableArray *m_Priority;
@property ( nonatomic , retain , getter=getStatus , setter=setStatus )NSMutableArray *m_Status;
@property ( nonatomic , retain , getter=getAssignedTo , setter=setAssignedTo )NSMutableArray *m_AssignedTo;
@property ( nonatomic , retain , getter=getTaskGroup , setter=setTaskGroup )NSMutableArray *m_TaskGroup;

+ (id) CreateTasksItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:TasksPriorityValue
 * @Type:EntityType
 
 * @key:Value* 
 */
@interface TasksPriorityValue : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Value;
	
}

@property ( nonatomic , retain , getter=getValue , setter=setValue ) NSString *m_Value;

+ (id) CreateTasksPriorityValueWithvalue:(NSString *)Value;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:TasksStatusValue
 * @Type:EntityType
 
 * @key:Value* 
 */
@interface TasksStatusValue : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Value;
	
}

@property ( nonatomic , retain , getter=getValue , setter=setValue ) NSString *m_Value;

+ (id) CreateTasksStatusValueWithvalue:(NSString *)Value;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:TeamDiscussionItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface TeamDiscussionItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Subject;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Body;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById0;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_LastUpdated;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_EMailSender;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TeamDiscussionItem_CreatedBy
	* @FromRole:TeamDiscussionItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TeamDiscussionItem_ModifiedBy
	* @FromRole:TeamDiscussionItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TeamDiscussionItem_Attachments
	* @FromRole:TeamDiscussionItem
	* @ToRole:Attachments
	*/
	NSMutableArray *m_Attachments;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:TeamDiscussionItem_ModifiedBy0
	* @FromRole:TeamDiscussionItem
	* @ToRole:ModifiedBy0
	*/
	NSMutableArray *m_ModifiedBy0;
	
}

@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getSubject , setter=setSubject ) NSString *m_Subject;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getBody , setter=setBody ) NSString *m_Body;
@property ( nonatomic , retain , getter=getModifiedById0 , setter=setModifiedById0 )NSNumber *m_ModifiedById0;
@property ( nonatomic , retain , getter=getLastUpdated , setter=setLastUpdated )NSDate *m_LastUpdated;
@property ( nonatomic , retain , getter=getEMailSender , setter=setEMailSender ) NSString *m_EMailSender;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments )NSMutableArray *m_Attachments;
@property ( nonatomic , retain , getter=getModifiedBy0 , setter=setModifiedBy0 )NSMutableArray *m_ModifiedBy0;

+ (id) CreateTeamDiscussionItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * @interface:UserInformationListItem
 * @Type:EntityType
 
 * @key:Id* 
 */
@interface UserInformationListItem : ODataObject
{
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentTypeID;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	* @FC_TargetPath:SyndicationTitle
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSString *m_Name;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Account;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_WorkEMail;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_MobilePhone;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_AboutMe;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_SIPAddress;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_IsSiteAdmin;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Boolean
	*/
	ODataBool *m_Deleted;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Picture;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Department;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Title;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_FirstName;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_LastName;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_WorkPhone;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_UserName;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_WebSite;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_AskMeAbout;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Office;
	
	/**
	* @Type:EntityProperty
	* NotNullable
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Id;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_ContentType;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	* @FC_TargetPath:SyndicationUpdated
	* @FC_ContentKind:text
	* @FC_NsPrefix:
	* @FC_NsUri:
	* @FC_KeepInContent:true
   * @FC_Criteria:NIL
	
	*/
	NSDate *m_Modified;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.DateTime
	*/
	NSDate *m_Created;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_CreatedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_ModifiedById;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.Int32
	*/
	NSNumber *m_Owshiddenversion;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Version;
	
	/**
	* @Type:EntityProperty
	* @EdmType:Edm.String
	* @MaxLength:
	* @FixedLength:
	*/
	NSString *m_Path;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:UserInformationListItem_CreatedBy
	* @FromRole:UserInformationListItem
	* @ToRole:CreatedBy
	*/
	NSMutableArray *m_CreatedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:UserInformationListItem_ModifiedBy
	* @FromRole:UserInformationListItem
	* @ToRole:ModifiedBy
	*/
	NSMutableArray *m_ModifiedBy;
	
	/**
	* @Type:NavigationProperty
	* @Relationship:UserInformationListItem_Attachments
	* @FromRole:UserInformationListItem
	* @ToRole:Attachments
	*/
	NSMutableArray *m_Attachments;
	
}

@property ( nonatomic , retain , getter=getContentTypeID , setter=setContentTypeID ) NSString *m_ContentTypeID;
@property ( nonatomic , retain , getter=getName , setter=setName ) NSString *m_Name;
@property ( nonatomic , retain , getter=getAccount , setter=setAccount ) NSString *m_Account;
@property ( nonatomic , retain , getter=getWorkEMail , setter=setWorkEMail ) NSString *m_WorkEMail;
@property ( nonatomic , retain , getter=getMobilePhone , setter=setMobilePhone ) NSString *m_MobilePhone;
@property ( nonatomic , retain , getter=getAboutMe , setter=setAboutMe ) NSString *m_AboutMe;
@property ( nonatomic , retain , getter=getSIPAddress , setter=setSIPAddress ) NSString *m_SIPAddress;
@property ( nonatomic , retain , getter=getIsSiteAdmin , setter=setIsSiteAdmin )ODataBool *m_IsSiteAdmin;
@property ( nonatomic , retain , getter=getDeleted , setter=setDeleted )ODataBool *m_Deleted;
@property ( nonatomic , retain , getter=getPicture , setter=setPicture ) NSString *m_Picture;
@property ( nonatomic , retain , getter=getDepartment , setter=setDepartment ) NSString *m_Department;
@property ( nonatomic , retain , getter=getTitle , setter=setTitle ) NSString *m_Title;
@property ( nonatomic , retain , getter=getFirstName , setter=setFirstName ) NSString *m_FirstName;
@property ( nonatomic , retain , getter=getLastName , setter=setLastName ) NSString *m_LastName;
@property ( nonatomic , retain , getter=getWorkPhone , setter=setWorkPhone ) NSString *m_WorkPhone;
@property ( nonatomic , retain , getter=getUserName , setter=setUserName ) NSString *m_UserName;
@property ( nonatomic , retain , getter=getWebSite , setter=setWebSite ) NSString *m_WebSite;
@property ( nonatomic , retain , getter=getAskMeAbout , setter=setAskMeAbout ) NSString *m_AskMeAbout;
@property ( nonatomic , retain , getter=getOffice , setter=setOffice ) NSString *m_Office;
@property ( nonatomic , retain , getter=getId , setter=setId )NSNumber *m_Id;
@property ( nonatomic , retain , getter=getContentType , setter=setContentType ) NSString *m_ContentType;
@property ( nonatomic , retain , getter=getModified , setter=setModified )NSDate *m_Modified;
@property ( nonatomic , retain , getter=getCreated , setter=setCreated )NSDate *m_Created;
@property ( nonatomic , retain , getter=getCreatedById , setter=setCreatedById )NSNumber *m_CreatedById;
@property ( nonatomic , retain , getter=getModifiedById , setter=setModifiedById )NSNumber *m_ModifiedById;
@property ( nonatomic , retain , getter=getOwshiddenversion , setter=setOwshiddenversion )NSNumber *m_Owshiddenversion;
@property ( nonatomic , retain , getter=getVersion , setter=setVersion ) NSString *m_Version;
@property ( nonatomic , retain , getter=getPath , setter=setPath ) NSString *m_Path;
@property ( nonatomic , retain , getter=getCreatedBy , setter=setCreatedBy )NSMutableArray *m_CreatedBy;
@property ( nonatomic , retain , getter=getModifiedBy , setter=setModifiedBy )NSMutableArray *m_ModifiedBy;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments )NSMutableArray *m_Attachments;

+ (id) CreateUserInformationListItemWithid:(NSNumber *)Id;
- (id) init;
- (id) initWithUri:(NSString*)anUri;
@end

/**
 * Container interface PowerPivotDataContext, Namespace: Microsoft.SharePoint.DataService
 */
@interface PowerPivotDataContext : ObjectContext
{
	 NSString *m_OData_etag;
	 DataServiceQuery *m_AccountManagerPictures;
	 DataServiceQuery *m_Announcements;
	 DataServiceQuery *m_Attachments;
	 DataServiceQuery *m_Calendar;
	 DataServiceQuery *m_CalendarCategory;
	 DataServiceQuery *m_Links;
	 DataServiceQuery *m_MasterPageGallery;
	 DataServiceQuery *m_MasterPageGalleryCompatibleUIVersionS;
	 DataServiceQuery *m_PowerPivotGallery;
	 DataServiceQuery *m_ReportingServices;
	 DataServiceQuery *m_SharedDocuments;
	 DataServiceQuery *m_SiteAssets;
	 DataServiceQuery *m_SitePages;
	 DataServiceQuery *m_Tasks;
	 DataServiceQuery *m_TasksPriority;
	 DataServiceQuery *m_TasksStatus;
	 DataServiceQuery *m_TeamDiscussion;
	 DataServiceQuery *m_UserInformationList;
	
}

@property ( nonatomic , retain , getter=getEtag , setter=setEtag )NSString *m_OData_etag;
@property ( nonatomic , retain , getter=getAccountManagerPictures , setter=setAccountManagerPictures ) DataServiceQuery *m_AccountManagerPictures;
@property ( nonatomic , retain , getter=getAnnouncements , setter=setAnnouncements ) DataServiceQuery *m_Announcements;
@property ( nonatomic , retain , getter=getAttachments , setter=setAttachments ) DataServiceQuery *m_Attachments;
@property ( nonatomic , retain , getter=getCalendar , setter=setCalendar ) DataServiceQuery *m_Calendar;
@property ( nonatomic , retain , getter=getCalendarCategory , setter=setCalendarCategory ) DataServiceQuery *m_CalendarCategory;
@property ( nonatomic , retain , getter=getLinks , setter=setLinks ) DataServiceQuery *m_Links;
@property ( nonatomic , retain , getter=getMasterPageGallery , setter=setMasterPageGallery ) DataServiceQuery *m_MasterPageGallery;
@property ( nonatomic , retain , getter=getMasterPageGalleryCompatibleUIVersionS , setter=setMasterPageGalleryCompatibleUIVersionS ) DataServiceQuery *m_MasterPageGalleryCompatibleUIVersionS;
@property ( nonatomic , retain , getter=getPowerPivotGallery , setter=setPowerPivotGallery ) DataServiceQuery *m_PowerPivotGallery;
@property ( nonatomic , retain , getter=getReportingServices , setter=setReportingServices ) DataServiceQuery *m_ReportingServices;
@property ( nonatomic , retain , getter=getSharedDocuments , setter=setSharedDocuments ) DataServiceQuery *m_SharedDocuments;
@property ( nonatomic , retain , getter=getSiteAssets , setter=setSiteAssets ) DataServiceQuery *m_SiteAssets;
@property ( nonatomic , retain , getter=getSitePages , setter=setSitePages ) DataServiceQuery *m_SitePages;
@property ( nonatomic , retain , getter=getTasks , setter=setTasks ) DataServiceQuery *m_Tasks;
@property ( nonatomic , retain , getter=getTasksPriority , setter=setTasksPriority ) DataServiceQuery *m_TasksPriority;
@property ( nonatomic , retain , getter=getTasksStatus , setter=setTasksStatus ) DataServiceQuery *m_TasksStatus;
@property ( nonatomic , retain , getter=getTeamDiscussion , setter=setTeamDiscussion ) DataServiceQuery *m_TeamDiscussion;
@property ( nonatomic , retain , getter=getUserInformationList , setter=setUserInformationList ) DataServiceQuery *m_UserInformationList;

- (id) init;
- (id) initWithUri:(NSString*)anUri credential:(id)acredential;
- (NSString *) ConvertListTitleToEntitySetNameWithlisttitle:(NSString *)listTitle;
- (id) accountmanagerpictures;
- (id) announcements;
- (id) attachments;
- (id) calendar;
- (id) calendarcategory;
- (id) links;
- (id) masterpagegallery;
- (id) masterpagegallerycompatibleuiversions;
- (id) powerpivotgallery;
- (id) reportingservices;
- (id) shareddocuments;
- (id) siteassets;
- (id) sitepages;
- (id) tasks;
- (id) taskspriority;
- (id) tasksstatus;
- (id) teamdiscussion;
- (id) userinformationlist;
- (void) addToAccountManagerPictures:(id)anObject;
- (void) addToAnnouncements:(id)anObject;
- (void) addToAttachments:(id)anObject;
- (void) addToCalendar:(id)anObject;
- (void) addToCalendarCategory:(id)anObject;
- (void) addToLinks:(id)anObject;
- (void) addToMasterPageGallery:(id)anObject;
- (void) addToMasterPageGalleryCompatibleUIVersionS:(id)anObject;
- (void) addToPowerPivotGallery:(id)anObject;
- (void) addToReportingServices:(id)anObject;
- (void) addToSharedDocuments:(id)anObject;
- (void) addToSiteAssets:(id)anObject;
- (void) addToSitePages:(id)anObject;
- (void) addToTasks:(id)anObject;
- (void) addToTasksPriority:(id)anObject;
- (void) addToTasksStatus:(id)anObject;
- (void) addToTeamDiscussion:(id)anObject;
- (void) addToUserInformationList:(id)anObject;

@end
