/**
*
*Copyright 2010 Microsoft Corp
*
*Licensed under the Apache License, Version 2.0 (the "License");
*you may not use this file except in compliance with the License.
*You may obtain a copy of the License at
*
*http://www.apache.org/licenses/LICENSE-2.0
*
*Unless required by applicable law or agreed to in writing, software
*distributed under the License is distributed on an "AS IS" BASIS,
*WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*See the License for the specific language governing permissions and
*limitations under the License.
*/
/**
* This code was generated by the tool 'odatagen'.
* Runtime Version:1.0
*
* Changes to this file may cause incorrect behavior and will be lost if
* the code is regenerated.
*/

#import "PowerPivotDataContext.h"
 
/**
 * Container interface PowerPivotDataContext, Namespace: Microsoft.SharePoint.DataService
 */
@implementation PowerPivotDataContext

	@synthesize m_OData_etag;

	@synthesize m_AccountManagerPictures;
	@synthesize m_Announcements;
	@synthesize m_Attachments;
	@synthesize m_Calendar;
	@synthesize m_CalendarCategory;
	@synthesize m_Links;
	@synthesize m_MasterPageGallery;
	@synthesize m_MasterPageGalleryCompatibleUIVersionS;
	@synthesize m_PowerPivotGallery;
	@synthesize m_ReportingServices;
	@synthesize m_SharedDocuments;
	@synthesize m_SiteAssets;
	@synthesize m_SitePages;
	@synthesize m_Tasks;
	@synthesize m_TasksPriority;
	@synthesize m_TasksStatus;
	@synthesize m_TeamDiscussion;
	@synthesize m_UserInformationList;
/**
 * The initializer for PowerPivotDataContext accepting service URI
 */
- (id) init
{
	NSString* tmpuri =[[NSString alloc]initWithString:DEFAULT_SERVICE_URL];
	self=[self initWithUri:tmpuri credential:nil];
	[tmpuri release];
	return self;
}

- (id) initWithUri:(NSString*)anUri credential:(id)acredential
{
	NSString* tmpuri=nil;
	if([anUri length]==0)
	{
	 	tmpuri = DEFAULT_SERVICE_URL;
	}
	else
	{
		tmpuri =[NSString stringWithString:anUri];
	}
	if(![tmpuri hasSuffix:@"/"])
	{
		tmpuri=[tmpuri stringByAppendingString:@"/"];
	}

	if(self=[super initWithUri:tmpuri credentials:acredential dataServiceVersion:DataServiceVersion])
	{
		[super setServiceNamespace:@"Microsoft.SharePoint.DataService"];

		NSMutableArray* tempEntities=[[NSMutableArray alloc]init];
		
		[tempEntities addObject:@"AccountManagerPictures"];
		[tempEntities addObject:@"Announcements"];
		[tempEntities addObject:@"Attachments"];
		[tempEntities addObject:@"Calendar"];
		[tempEntities addObject:@"CalendarCategory"];
		[tempEntities addObject:@"Links"];
		[tempEntities addObject:@"MasterPageGallery"];
		[tempEntities addObject:@"MasterPageGalleryCompatibleUIVersionS"];
		[tempEntities addObject:@"PowerPivotGallery"];
		[tempEntities addObject:@"ReportingServices"];
		[tempEntities addObject:@"SharedDocuments"];
		[tempEntities addObject:@"SiteAssets"];
		[tempEntities addObject:@"SitePages"];
		[tempEntities addObject:@"Tasks"];
		[tempEntities addObject:@"TasksPriority"];
		[tempEntities addObject:@"TasksStatus"];
		[tempEntities addObject:@"TeamDiscussion"];
		[tempEntities addObject:@"UserInformationList"];

		if([tempEntities count] > 0 )
		{
			[super setEntitiesWithArray:tempEntities];
		}
		[tempEntities release];

		NSMutableArray* tempEntitiySetKey=[[NSMutableArray alloc]init];
		
		[tempEntitiySetKey addObject:@"accountmanagerpictures"];
		[tempEntitiySetKey addObject:@"announcements"];
		[tempEntitiySetKey addObject:@"attachments"];
		[tempEntitiySetKey addObject:@"calendar"];
		[tempEntitiySetKey addObject:@"calendarcategory"];
		[tempEntitiySetKey addObject:@"links"];
		[tempEntitiySetKey addObject:@"masterpagegallery"];
		[tempEntitiySetKey addObject:@"masterpagegallerycompatibleuiversions"];
		[tempEntitiySetKey addObject:@"powerpivotgallery"];
		[tempEntitiySetKey addObject:@"reportingservices"];
		[tempEntitiySetKey addObject:@"shareddocuments"];
		[tempEntitiySetKey addObject:@"siteassets"];
		[tempEntitiySetKey addObject:@"sitepages"];
		[tempEntitiySetKey addObject:@"tasks"];
		[tempEntitiySetKey addObject:@"taskspriority"];
		[tempEntitiySetKey addObject:@"tasksstatus"];
		[tempEntitiySetKey addObject:@"teamdiscussion"];
		[tempEntitiySetKey addObject:@"userinformationlist"];

		NSMutableArray* tempEntitiyTypeobj=[[NSMutableArray alloc]init];
		
		[tempEntitiyTypeobj addObject:@"AccountManagerPicturesItem"];
		[tempEntitiyTypeobj addObject:@"AnnouncementsItem"];
		[tempEntitiyTypeobj addObject:@"AttachmentsItem"];
		[tempEntitiyTypeobj addObject:@"CalendarItem"];
		[tempEntitiyTypeobj addObject:@"CalendarCategoryValue"];
		[tempEntitiyTypeobj addObject:@"LinksItem"];
		[tempEntitiyTypeobj addObject:@"MasterPageGalleryItem"];
		[tempEntitiyTypeobj addObject:@"MasterPageGalleryCompatibleUIVersionSValue"];
		[tempEntitiyTypeobj addObject:@"PowerPivotGalleryItem"];
		[tempEntitiyTypeobj addObject:@"ReportingServicesItem"];
		[tempEntitiyTypeobj addObject:@"SharedDocumentsItem"];
		[tempEntitiyTypeobj addObject:@"SiteAssetsItem"];
		[tempEntitiyTypeobj addObject:@"SitePagesItem"];
		[tempEntitiyTypeobj addObject:@"TasksItem"];
		[tempEntitiyTypeobj addObject:@"TasksPriorityValue"];
		[tempEntitiyTypeobj addObject:@"TasksStatusValue"];
		[tempEntitiyTypeobj addObject:@"TeamDiscussionItem"];
		[tempEntitiyTypeobj addObject:@"UserInformationListItem"];

		if( ( [tempEntitiySetKey count] > 0 ) && ( [tempEntitiyTypeobj count] > 0 ) )
		{
			[super setEntitySet2TypeWithObject:tempEntitiyTypeobj forKey:tempEntitiySetKey];

		}

		[tempEntitiySetKey release];
		[ tempEntitiyTypeobj release];

		NSMutableArray* tempEntitiyTypeKey=[[NSMutableArray alloc]init];
		
		[tempEntitiyTypeKey addObject:@"accountmanagerpicturesitem"];
		[tempEntitiyTypeKey addObject:@"announcementsitem"];
		[tempEntitiyTypeKey addObject:@"attachmentsitem"];
		[tempEntitiyTypeKey addObject:@"calendaritem"];
		[tempEntitiyTypeKey addObject:@"calendarcategoryvalue"];
		[tempEntitiyTypeKey addObject:@"linksitem"];
		[tempEntitiyTypeKey addObject:@"masterpagegalleryitem"];
		[tempEntitiyTypeKey addObject:@"masterpagegallerycompatibleuiversionsvalue"];
		[tempEntitiyTypeKey addObject:@"powerpivotgalleryitem"];
		[tempEntitiyTypeKey addObject:@"reportingservicesitem"];
		[tempEntitiyTypeKey addObject:@"shareddocumentsitem"];
		[tempEntitiyTypeKey addObject:@"siteassetsitem"];
		[tempEntitiyTypeKey addObject:@"sitepagesitem"];
		[tempEntitiyTypeKey addObject:@"tasksitem"];
		[tempEntitiyTypeKey addObject:@"taskspriorityvalue"];
		[tempEntitiyTypeKey addObject:@"tasksstatusvalue"];
		[tempEntitiyTypeKey addObject:@"teamdiscussionitem"];
		[tempEntitiyTypeKey addObject:@"userinformationlistitem"];
		NSMutableArray* tempEntitySetObj=[[NSMutableArray alloc]init];
		
		[tempEntitySetObj addObject:@"AccountManagerPictures"];
		[tempEntitySetObj addObject:@"Announcements"];
		[tempEntitySetObj addObject:@"Attachments"];
		[tempEntitySetObj addObject:@"Calendar"];
		[tempEntitySetObj addObject:@"CalendarCategory"];
		[tempEntitySetObj addObject:@"Links"];
		[tempEntitySetObj addObject:@"MasterPageGallery"];
		[tempEntitySetObj addObject:@"MasterPageGalleryCompatibleUIVersionS"];
		[tempEntitySetObj addObject:@"PowerPivotGallery"];
		[tempEntitySetObj addObject:@"ReportingServices"];
		[tempEntitySetObj addObject:@"SharedDocuments"];
		[tempEntitySetObj addObject:@"SiteAssets"];
		[tempEntitySetObj addObject:@"SitePages"];
		[tempEntitySetObj addObject:@"Tasks"];
		[tempEntitySetObj addObject:@"TasksPriority"];
		[tempEntitySetObj addObject:@"TasksStatus"];
		[tempEntitySetObj addObject:@"TeamDiscussion"];
		[tempEntitySetObj addObject:@"UserInformationList"];

		if( ( [tempEntitiyTypeKey count] > 0 ) && ( [tempEntitySetObj count] > 0 ) )
		{
			[super setEntityType2SetWithObject:tempEntitySetObj forKey:tempEntitiyTypeKey];

		}
    	[tempEntitiyTypeKey release];
		[tempEntitySetObj release];

		NSMutableArray* foreignKeys=[[NSMutableArray alloc]init];		
		[foreignKeys addObject:@"AccountManagerPicturesItem_CreatedBy"];
		[foreignKeys addObject:@"AccountManagerPicturesItem_ModifiedBy"];
		[foreignKeys addObject:@"AccountManagerPicturesItem_CheckedOutTo"];
		[foreignKeys addObject:@"AnnouncementsItem_CreatedBy"];
		[foreignKeys addObject:@"AnnouncementsItem_ModifiedBy"];
		[foreignKeys addObject:@"AnnouncementsItem_Attachments"];
		[foreignKeys addObject:@"CalendarItem_CreatedBy"];
		[foreignKeys addObject:@"CalendarItem_ModifiedBy"];
		[foreignKeys addObject:@"CalendarItem_Attachments"];
		[foreignKeys addObject:@"CalendarItem_Attendees"];
		[foreignKeys addObject:@"CalendarItem_Category"];
		[foreignKeys addObject:@"LinksItem_CreatedBy"];
		[foreignKeys addObject:@"LinksItem_ModifiedBy"];
		[foreignKeys addObject:@"MasterPageGalleryItem_CreatedBy"];
		[foreignKeys addObject:@"MasterPageGalleryItem_ModifiedBy"];
		[foreignKeys addObject:@"MasterPageGalleryItem_CheckedOutTo"];
		[foreignKeys addObject:@"MasterPageGalleryItem_CompatibleUIVersionS"];
		[foreignKeys addObject:@"PowerPivotGalleryItem_CreatedBy"];
		[foreignKeys addObject:@"PowerPivotGalleryItem_ModifiedBy"];
		[foreignKeys addObject:@"PowerPivotGalleryItem_CheckedOutTo"];
		[foreignKeys addObject:@"ReportingServicesItem_CreatedBy"];
		[foreignKeys addObject:@"ReportingServicesItem_ModifiedBy"];
		[foreignKeys addObject:@"ReportingServicesItem_CheckedOutTo"];
		[foreignKeys addObject:@"SharedDocumentsItem_CreatedBy"];
		[foreignKeys addObject:@"SharedDocumentsItem_ModifiedBy"];
		[foreignKeys addObject:@"SharedDocumentsItem_CheckedOutTo"];
		[foreignKeys addObject:@"SiteAssetsItem_CreatedBy"];
		[foreignKeys addObject:@"SiteAssetsItem_ModifiedBy"];
		[foreignKeys addObject:@"SiteAssetsItem_CheckedOutTo"];
		[foreignKeys addObject:@"SitePagesItem_CreatedBy"];
		[foreignKeys addObject:@"SitePagesItem_ModifiedBy"];
		[foreignKeys addObject:@"SitePagesItem_CheckedOutTo"];
		[foreignKeys addObject:@"TasksItem_CreatedBy"];
		[foreignKeys addObject:@"TasksItem_ModifiedBy"];
		[foreignKeys addObject:@"TasksItem_Attachments"];
		[foreignKeys addObject:@"TasksItem_Predecessors"];
		[foreignKeys addObject:@"TasksItem_Priority"];
		[foreignKeys addObject:@"TasksItem_Status"];
		[foreignKeys addObject:@"TasksItem_AssignedTo"];
		[foreignKeys addObject:@"TasksItem_TaskGroup"];
		[foreignKeys addObject:@"TeamDiscussionItem_CreatedBy"];
		[foreignKeys addObject:@"TeamDiscussionItem_ModifiedBy"];
		[foreignKeys addObject:@"TeamDiscussionItem_Attachments"];
		[foreignKeys addObject:@"TeamDiscussionItem_ModifiedBy0"];
		[foreignKeys addObject:@"UserInformationListItem_CreatedBy"];
		[foreignKeys addObject:@"UserInformationListItem_ModifiedBy"];
		[foreignKeys addObject:@"UserInformationListItem_Attachments"];

		NSMutableArray *arrOfDictionaries=[[NSMutableArray alloc]initWithCapacity:[foreignKeys count]];

		NSMutableArray *arr;
 
		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AccountManagerPicturesItem",@"EndRole",@"AccountManagerPicturesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AccountManagerPicturesItem",@"EndRole",@"AccountManagerPicturesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AccountManagerPicturesItem",@"EndRole",@"AccountManagerPicturesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AnnouncementsItem",@"EndRole",@"AnnouncementsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AnnouncementsItem",@"EndRole",@"AnnouncementsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AnnouncementsItem",@"EndRole",@"AnnouncementsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attachments",@"EndRole",@"AttachmentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CalendarItem",@"EndRole",@"CalendarItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CalendarItem",@"EndRole",@"CalendarItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CalendarItem",@"EndRole",@"CalendarItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attachments",@"EndRole",@"AttachmentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CalendarItem",@"EndRole",@"CalendarItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attendees",@"EndRole",@"UserInformationListItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CalendarItem",@"EndRole",@"CalendarItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Category",@"EndRole",@"CalendarCategoryValue",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"LinksItem",@"EndRole",@"LinksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"LinksItem",@"EndRole",@"LinksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"MasterPageGalleryItem",@"EndRole",@"MasterPageGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"MasterPageGalleryItem",@"EndRole",@"MasterPageGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"MasterPageGalleryItem",@"EndRole",@"MasterPageGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"MasterPageGalleryItem",@"EndRole",@"MasterPageGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CompatibleUIVersionS",@"EndRole",@"MasterPageGalleryCompatibleUIVersionSValue",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"PowerPivotGalleryItem",@"EndRole",@"PowerPivotGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"PowerPivotGalleryItem",@"EndRole",@"PowerPivotGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"PowerPivotGalleryItem",@"EndRole",@"PowerPivotGalleryItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ReportingServicesItem",@"EndRole",@"ReportingServicesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ReportingServicesItem",@"EndRole",@"ReportingServicesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ReportingServicesItem",@"EndRole",@"ReportingServicesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SharedDocumentsItem",@"EndRole",@"SharedDocumentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SharedDocumentsItem",@"EndRole",@"SharedDocumentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SharedDocumentsItem",@"EndRole",@"SharedDocumentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SiteAssetsItem",@"EndRole",@"SiteAssetsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SiteAssetsItem",@"EndRole",@"SiteAssetsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SiteAssetsItem",@"EndRole",@"SiteAssetsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SitePagesItem",@"EndRole",@"SitePagesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SitePagesItem",@"EndRole",@"SitePagesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"SitePagesItem",@"EndRole",@"SitePagesItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CheckedOutTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attachments",@"EndRole",@"AttachmentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Predecessors",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Priority",@"EndRole",@"TasksPriorityValue",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Status",@"EndRole",@"TasksStatusValue",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"AssignedTo",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TasksItem",@"EndRole",@"TasksItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TaskGroup",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TeamDiscussionItem",@"EndRole",@"TeamDiscussionItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TeamDiscussionItem",@"EndRole",@"TeamDiscussionItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TeamDiscussionItem",@"EndRole",@"TeamDiscussionItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attachments",@"EndRole",@"AttachmentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"TeamDiscussionItem",@"EndRole",@"TeamDiscussionItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy0",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"UserInformationListItem",@"EndRole",@"UserInformationListItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"CreatedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"UserInformationListItem",@"EndRole",@"UserInformationListItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"ModifiedBy",@"EndRole",@"UserInformationListItem",@"Type",@"0..1",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];


		arr=[[NSMutableArray alloc]init];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"UserInformationListItem",@"EndRole",@"UserInformationListItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arr addObject:[[[NSDictionary alloc]initWithObjectsAndKeys:@"Attachments",@"EndRole",@"AttachmentsItem",@"Type",@"*",@"Multiplicity",nil] autorelease]];
		[arrOfDictionaries addObject:arr];
		[arr release];

		if( ( [foreignKeys count] > 0 ) && ( [arrOfDictionaries count] > 0 ) )
		{
			[super setAssociationforObjects:arrOfDictionaries forKeys:foreignKeys];
		}
		[foreignKeys release];
		[arrOfDictionaries release];

		m_AccountManagerPictures = [[DataServiceQuery alloc]initWithUri:@"AccountManagerPictures" objectContext: self];
		m_Announcements = [[DataServiceQuery alloc]initWithUri:@"Announcements" objectContext: self];
		m_Attachments = [[DataServiceQuery alloc]initWithUri:@"Attachments" objectContext: self];
		m_Calendar = [[DataServiceQuery alloc]initWithUri:@"Calendar" objectContext: self];
		m_CalendarCategory = [[DataServiceQuery alloc]initWithUri:@"CalendarCategory" objectContext: self];
		m_Links = [[DataServiceQuery alloc]initWithUri:@"Links" objectContext: self];
		m_MasterPageGallery = [[DataServiceQuery alloc]initWithUri:@"MasterPageGallery" objectContext: self];
		m_MasterPageGalleryCompatibleUIVersionS = [[DataServiceQuery alloc]initWithUri:@"MasterPageGalleryCompatibleUIVersionS" objectContext: self];
		m_PowerPivotGallery = [[DataServiceQuery alloc]initWithUri:@"PowerPivotGallery" objectContext: self];
		m_ReportingServices = [[DataServiceQuery alloc]initWithUri:@"ReportingServices" objectContext: self];
		m_SharedDocuments = [[DataServiceQuery alloc]initWithUri:@"SharedDocuments" objectContext: self];
		m_SiteAssets = [[DataServiceQuery alloc]initWithUri:@"SiteAssets" objectContext: self];
		m_SitePages = [[DataServiceQuery alloc]initWithUri:@"SitePages" objectContext: self];
		m_Tasks = [[DataServiceQuery alloc]initWithUri:@"Tasks" objectContext: self];
		m_TasksPriority = [[DataServiceQuery alloc]initWithUri:@"TasksPriority" objectContext: self];
		m_TasksStatus = [[DataServiceQuery alloc]initWithUri:@"TasksStatus" objectContext: self];
		m_TeamDiscussion = [[DataServiceQuery alloc]initWithUri:@"TeamDiscussion" objectContext: self];
		m_UserInformationList = [[DataServiceQuery alloc]initWithUri:@"UserInformationList" objectContext: self];
		
	}
	return self;
}

/*
 * Method for service operation
 */
- (NSString *) ConvertListTitleToEntitySetNameWithlisttitle:(NSString *)listTitle
{
	NSDictionary *params=[[NSDictionary alloc] initWithObjectsAndKeys:listTitle,@"listTitle",nil];
	NSString *aQuery=[self prepareQuery:@"ConvertListTitleToEntitySetName" parameters:params];
	[params release];

	return [self executeServiceOperation:aQuery httpMethod:@"GET" isReturnTypeCollection:NO];
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset AccountManagerPictures
 */
- (id) accountmanagerpictures
{
	[self.m_AccountManagerPictures clearAllOptions];
	return self.m_AccountManagerPictures;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset Announcements
 */
- (id) announcements
{
	[self.m_Announcements clearAllOptions];
	return self.m_Announcements;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset Attachments
 */
- (id) attachments
{
	[self.m_Attachments clearAllOptions];
	return self.m_Attachments;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset Calendar
 */
- (id) calendar
{
	[self.m_Calendar clearAllOptions];
	return self.m_Calendar;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset CalendarCategory
 */
- (id) calendarcategory
{
	[self.m_CalendarCategory clearAllOptions];
	return self.m_CalendarCategory;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset Links
 */
- (id) links
{
	[self.m_Links clearAllOptions];
	return self.m_Links;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset MasterPageGallery
 */
- (id) masterpagegallery
{
	[self.m_MasterPageGallery clearAllOptions];
	return self.m_MasterPageGallery;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset MasterPageGalleryCompatibleUIVersionS
 */
- (id) masterpagegallerycompatibleuiversions
{
	[self.m_MasterPageGalleryCompatibleUIVersionS clearAllOptions];
	return self.m_MasterPageGalleryCompatibleUIVersionS;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset PowerPivotGallery
 */
- (id) powerpivotgallery
{
	[self.m_PowerPivotGallery clearAllOptions];
	return self.m_PowerPivotGallery;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset ReportingServices
 */
- (id) reportingservices
{
	[self.m_ReportingServices clearAllOptions];
	return self.m_ReportingServices;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset SharedDocuments
 */
- (id) shareddocuments
{
	[self.m_SharedDocuments clearAllOptions];
	return self.m_SharedDocuments;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset SiteAssets
 */
- (id) siteassets
{
	[self.m_SiteAssets clearAllOptions];
	return self.m_SiteAssets;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset SitePages
 */
- (id) sitepages
{
	[self.m_SitePages clearAllOptions];
	return self.m_SitePages;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset Tasks
 */
- (id) tasks
{
	[self.m_Tasks clearAllOptions];
	return self.m_Tasks;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset TasksPriority
 */
- (id) taskspriority
{
	[self.m_TasksPriority clearAllOptions];
	return self.m_TasksPriority;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset TasksStatus
 */
- (id) tasksstatus
{
	[self.m_TasksStatus clearAllOptions];
	return self.m_TasksStatus;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset TeamDiscussion
 */
- (id) teamdiscussion
{
	[self.m_TeamDiscussion clearAllOptions];
	return self.m_TeamDiscussion;
}

/**
 * Method returns DataServiceQuery reference for
 * the entityset UserInformationList
 */
- (id) userinformationlist
{
	[self.m_UserInformationList clearAllOptions];
	return self.m_UserInformationList;
}

/**
 * Methods for adding object to the entityset/collection
 */

- (void) addToAccountManagerPictures:(id)anObject
{
	[super addObject:@"AccountManagerPictures" object:anObject];
}

- (void) addToAnnouncements:(id)anObject
{
	[super addObject:@"Announcements" object:anObject];
}

- (void) addToAttachments:(id)anObject
{
	[super addObject:@"Attachments" object:anObject];
}

- (void) addToCalendar:(id)anObject
{
	[super addObject:@"Calendar" object:anObject];
}

- (void) addToCalendarCategory:(id)anObject
{
	[super addObject:@"CalendarCategory" object:anObject];
}

- (void) addToLinks:(id)anObject
{
	[super addObject:@"Links" object:anObject];
}

- (void) addToMasterPageGallery:(id)anObject
{
	[super addObject:@"MasterPageGallery" object:anObject];
}

- (void) addToMasterPageGalleryCompatibleUIVersionS:(id)anObject
{
	[super addObject:@"MasterPageGalleryCompatibleUIVersionS" object:anObject];
}

- (void) addToPowerPivotGallery:(id)anObject
{
	[super addObject:@"PowerPivotGallery" object:anObject];
}

- (void) addToReportingServices:(id)anObject
{
	[super addObject:@"ReportingServices" object:anObject];
}

- (void) addToSharedDocuments:(id)anObject
{
	[super addObject:@"SharedDocuments" object:anObject];
}

- (void) addToSiteAssets:(id)anObject
{
	[super addObject:@"SiteAssets" object:anObject];
}

- (void) addToSitePages:(id)anObject
{
	[super addObject:@"SitePages" object:anObject];
}

- (void) addToTasks:(id)anObject
{
	[super addObject:@"Tasks" object:anObject];
}

- (void) addToTasksPriority:(id)anObject
{
	[super addObject:@"TasksPriority" object:anObject];
}

- (void) addToTasksStatus:(id)anObject
{
	[super addObject:@"TasksStatus" object:anObject];
}

- (void) addToTeamDiscussion:(id)anObject
{
	[super addObject:@"TeamDiscussion" object:anObject];
}

- (void) addToUserInformationList:(id)anObject
{
	[super addObject:@"UserInformationList" object:anObject];
}

- (void) dealloc
{
	[ m_OData_etag release];
	m_OData_etag = nil;
	
	[m_AccountManagerPictures release];
	m_AccountManagerPictures = nil;
	[m_Announcements release];
	m_Announcements = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[m_Calendar release];
	m_Calendar = nil;
	[m_CalendarCategory release];
	m_CalendarCategory = nil;
	[m_Links release];
	m_Links = nil;
	[m_MasterPageGallery release];
	m_MasterPageGallery = nil;
	[m_MasterPageGalleryCompatibleUIVersionS release];
	m_MasterPageGalleryCompatibleUIVersionS = nil;
	[m_PowerPivotGallery release];
	m_PowerPivotGallery = nil;
	[m_ReportingServices release];
	m_ReportingServices = nil;
	[m_SharedDocuments release];
	m_SharedDocuments = nil;
	[m_SiteAssets release];
	m_SiteAssets = nil;
	[m_SitePages release];
	m_SitePages = nil;
	[m_Tasks release];
	m_Tasks = nil;
	[m_TasksPriority release];
	m_TasksPriority = nil;
	[m_TasksStatus release];
	m_TasksStatus = nil;
	[m_TeamDiscussion release];
	m_TeamDiscussion = nil;
	[m_UserInformationList release];
	m_UserInformationList = nil;

	[super dealloc];
}

@end
/**
 * @interface:AccountManagerPicturesItem
 * @key:Id
 */
@implementation AccountManagerPicturesItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Title;
	@synthesize m_PictureWidth;
	@synthesize m_PictureHeight;
	@synthesize m_DatePictureTaken;
	@synthesize m_Description;
	@synthesize m_Keywords;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of AccountManagerPicturesItem
 */
+ (id) CreateAccountManagerPicturesItemWithid:(NSNumber *)Id
{
	AccountManagerPicturesItem *accountmanagerpicturesitem = [[AccountManagerPicturesItem alloc]init];
	accountmanagerpicturesitem.m_Id = Id;
	return accountmanagerpicturesitem;
}
/**
 * Initialising object for AccountManagerPicturesItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_PictureWidth"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_PictureHeight"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_DatePictureTaken"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Description"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Keywords"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"AccountManagerPicturesItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"AccountManagerPicturesItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"AccountManagerPicturesItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"AccountManagerPicturesItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	[syndicateArray addObject:@"m_Title"];
	
	return [syndicateArray autorelease];
}
-(AccountManagerPicturesItem *)getDeepCopy
{
	AccountManagerPicturesItem *obj=[[AccountManagerPicturesItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setTitle:[self getTitle]];
	[obj setPictureWidth:[self getPictureWidth]];
	[obj setPictureHeight:[self getPictureHeight]];
	[obj setDatePictureTaken:[self getDatePictureTaken]];
	[obj setDescription:[self getDescription]];
	[obj setKeywords:[self getKeywords]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Title release];
	m_Title = nil;
	[m_PictureWidth release];
	m_PictureWidth = nil;
	[m_PictureHeight release];
	m_PictureHeight = nil;
	[m_DatePictureTaken release];
	m_DatePictureTaken = nil;
	[m_Description release];
	m_Description = nil;
	[m_Keywords release];
	m_Keywords = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:AnnouncementsItem
 * @key:Id
 */
@implementation AnnouncementsItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Title;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_Body;
	@synthesize m_Expires;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_Attachments;

/**
 *Method to create an instance of AnnouncementsItem
 */
+ (id) CreateAnnouncementsItemWithid:(NSNumber *)Id
{
	AnnouncementsItem *announcementsitem = [[AnnouncementsItem alloc]init];
	announcementsitem.m_Id = Id;
	return announcementsitem;
}
/**
 * Initialising object for AnnouncementsItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"Attachments" forKey:@"Attachments"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Body"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Expires"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"AnnouncementsItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"AnnouncementsItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"AnnouncementsItem_Attachments" forKey:@"Attachments"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"AnnouncementsItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Title"];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(AnnouncementsItem *)getDeepCopy
{
	AnnouncementsItem *obj=[[AnnouncementsItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setTitle:[self getTitle]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setBody:[self getBody]];
	[obj setExpires:[self getExpires]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setAttachments:[self getAttachments]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Title release];
	m_Title = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	[m_Body release];
	m_Body = nil;
	[m_Expires release];
	m_Expires = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[super dealloc];
}

@end
/**
 * @interface:AttachmentsItem
 * @key:EntitySet
 * @key:ItemId
 * @key:Name
 */
@implementation AttachmentsItem
	@synthesize m_EntitySet;
	@synthesize m_ItemId;
	@synthesize m_Name;

/**
 *Method to create an instance of AttachmentsItem
 */
+ (id) CreateAttachmentsItemWithentityset:(NSString *)EntitySet itemid:(NSNumber *)ItemId name:(NSString *)Name
{
	AttachmentsItem *attachmentsitem = [[AttachmentsItem alloc]init];
	attachmentsitem.m_EntitySet = EntitySet;
	attachmentsitem.m_ItemId = ItemId;
	attachmentsitem.m_Name = Name;
	return attachmentsitem;
}
/**
 * Initialising object for AttachmentsItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_EntitySet"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ItemId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"EntitySet"];
		[anEntityKey addObject:@"ItemId"];
		[anEntityKey addObject:@"Name"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"AttachmentsItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Name"];
	
	return [syndicateArray autorelease];
}
-(AttachmentsItem *)getDeepCopy
{
	AttachmentsItem *obj=[[AttachmentsItem alloc]initWithUri:[self getBaseURI]];
	[obj setEntitySet:[self getEntitySet]];
	[obj setItemId:[self getItemId]];
	[obj setName:[self getName]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_EntitySet release];
	m_EntitySet = nil;
	[m_ItemId release];
	m_ItemId = nil;
	[m_Name release];
	m_Name = nil;
	
	[super dealloc];
}

@end
/**
 * @interface:CalendarItem
 * @key:Id
 */
@implementation CalendarItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Title;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_Location;
	@synthesize m_StartTime;
	@synthesize m_EndTime;
	@synthesize m_Description;
	@synthesize m_AllDayEvent;
	@synthesize m_Recurrence;
	@synthesize m_Workspace;
	@synthesize m_CategoryValue;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_Attachments;
	@synthesize m_Attendees;
	@synthesize m_Category;

/**
 *Method to create an instance of CalendarItem
 */
+ (id) CreateCalendarItemWithid:(NSNumber *)Id
{
	CalendarItem *calendaritem = [[CalendarItem alloc]init];
	calendaritem.m_Id = Id;
	return calendaritem;
}
/**
 * Initialising object for CalendarItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"Attachments" forKey:@"Attachments"];
		[m_OData_entityMap setObject:@"Attendees" forKey:@"Attendees"];
		[m_OData_entityMap setObject:@"Category" forKey:@"Category"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Location"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_StartTime"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_EndTime"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Description"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_AllDayEvent"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Recurrence"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Workspace"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CategoryValue"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"CalendarItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"CalendarItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"CalendarItem_Attachments" forKey:@"Attachments"];
		[m_OData_entityFKRelation setObject:@"CalendarItem_Attendees" forKey:@"Attendees"];
		[m_OData_entityFKRelation setObject:@"CalendarItem_Category" forKey:@"Category"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"CalendarItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Title"];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(CalendarItem *)getDeepCopy
{
	CalendarItem *obj=[[CalendarItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setTitle:[self getTitle]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setLocation:[self getLocation]];
	[obj setStartTime:[self getStartTime]];
	[obj setEndTime:[self getEndTime]];
	[obj setDescription:[self getDescription]];
	[obj setAllDayEvent:[self getAllDayEvent]];
	[obj setRecurrence:[self getRecurrence]];
	[obj setWorkspace:[self getWorkspace]];
	[obj setCategoryValue:[self getCategoryValue]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setAttachments:[self getAttachments]];
	[obj setAttendees:[self getAttendees]];
	[obj setCategory:[self getCategory]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Title release];
	m_Title = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	[m_Location release];
	m_Location = nil;
	[m_StartTime release];
	m_StartTime = nil;
	[m_EndTime release];
	m_EndTime = nil;
	[m_Description release];
	m_Description = nil;
	[m_CategoryValue release];
	m_CategoryValue = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[m_Attendees release];
	m_Attendees = nil;
	[m_Category release];
	m_Category = nil;
	[super dealloc];
}

@end
/**
 * @interface:CalendarCategoryValue
 * @key:Value
 */
@implementation CalendarCategoryValue
	@synthesize m_Value;

/**
 *Method to create an instance of CalendarCategoryValue
 */
+ (id) CreateCalendarCategoryValueWithvalue:(NSString *)Value
{
	CalendarCategoryValue *calendarcategoryvalue = [[CalendarCategoryValue alloc]init];
	calendarcategoryvalue.m_Value = Value;
	return calendarcategoryvalue;
}
/**
 * Initialising object for CalendarCategoryValue
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Value"];
		[obj release];
		

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Value"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"CalendarCategoryValue"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Value"];
	
	return [syndicateArray autorelease];
}
-(CalendarCategoryValue *)getDeepCopy
{
	CalendarCategoryValue *obj=[[CalendarCategoryValue alloc]initWithUri:[self getBaseURI]];
	[obj setValue:[self getValue]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Value release];
	m_Value = nil;
	
	[super dealloc];
}

@end
/**
 * @interface:LinksItem
 * @key:Id
 */
@implementation LinksItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_URL;
	@synthesize m_Notes;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;

/**
 *Method to create an instance of LinksItem
 */
+ (id) CreateLinksItemWithid:(NSNumber *)Id
{
	LinksItem *linksitem = [[LinksItem alloc]init];
	linksitem.m_Id = Id;
	return linksitem;
}
/**
 * Initialising object for LinksItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_URL"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Notes"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"LinksItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"LinksItem_ModifiedBy" forKey:@"ModifiedBy"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"LinksItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(LinksItem *)getDeepCopy
{
	LinksItem *obj=[[LinksItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setURL:[self getURL]];
	[obj setNotes:[self getNotes]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	[m_URL release];
	m_URL = nil;
	[m_Notes release];
	m_Notes = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[super dealloc];
}

@end
/**
 * @interface:MasterPageGalleryItem
 * @key:Id
 */
@implementation MasterPageGalleryItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Description;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;
	@synthesize m_CompatibleUIVersionS;

/**
 *Method to create an instance of MasterPageGalleryItem
 */
+ (id) CreateMasterPageGalleryItemWithid:(NSNumber *)Id
{
	MasterPageGalleryItem *masterpagegalleryitem = [[MasterPageGalleryItem alloc]init];
	masterpagegalleryitem.m_Id = Id;
	return masterpagegalleryitem;
}
/**
 * Initialising object for MasterPageGalleryItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		[m_OData_entityMap setObject:@"CompatibleUIVersionS" forKey:@"CompatibleUIVersionS"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Description"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"MasterPageGalleryItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"MasterPageGalleryItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"MasterPageGalleryItem_CheckedOutTo" forKey:@"CheckedOutTo"];
		[m_OData_entityFKRelation setObject:@"MasterPageGalleryItem_CompatibleUIVersionS" forKey:@"CompatibleUIVersionS"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"MasterPageGalleryItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(MasterPageGalleryItem *)getDeepCopy
{
	MasterPageGalleryItem *obj=[[MasterPageGalleryItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setDescription:[self getDescription]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];
	[obj setCompatibleUIVersionS:[self getCompatibleUIVersionS]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Description release];
	m_Description = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[m_CompatibleUIVersionS release];
	m_CompatibleUIVersionS = nil;
	[super dealloc];
}

@end
/**
 * @interface:MasterPageGalleryCompatibleUIVersionSValue
 * @key:Value
 */
@implementation MasterPageGalleryCompatibleUIVersionSValue
	@synthesize m_Value;

/**
 *Method to create an instance of MasterPageGalleryCompatibleUIVersionSValue
 */
+ (id) CreateMasterPageGalleryCompatibleUIVersionSValueWithvalue:(NSString *)Value
{
	MasterPageGalleryCompatibleUIVersionSValue *masterpagegallerycompatibleuiversionsvalue = [[MasterPageGalleryCompatibleUIVersionSValue alloc]init];
	masterpagegallerycompatibleuiversionsvalue.m_Value = Value;
	return masterpagegallerycompatibleuiversionsvalue;
}
/**
 * Initialising object for MasterPageGalleryCompatibleUIVersionSValue
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Value"];
		[obj release];
		

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Value"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"MasterPageGalleryCompatibleUIVersionSValue"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Value"];
	
	return [syndicateArray autorelease];
}
-(MasterPageGalleryCompatibleUIVersionSValue *)getDeepCopy
{
	MasterPageGalleryCompatibleUIVersionSValue *obj=[[MasterPageGalleryCompatibleUIVersionSValue alloc]initWithUri:[self getBaseURI]];
	[obj setValue:[self getValue]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Value release];
	m_Value = nil;
	
	[super dealloc];
}

@end
/**
 * @interface:PowerPivotGalleryItem
 * @key:Id
 */
@implementation PowerPivotGalleryItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Title;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of PowerPivotGalleryItem
 */
+ (id) CreatePowerPivotGalleryItemWithid:(NSNumber *)Id
{
	PowerPivotGalleryItem *powerpivotgalleryitem = [[PowerPivotGalleryItem alloc]init];
	powerpivotgalleryitem.m_Id = Id;
	return powerpivotgalleryitem;
}
/**
 * Initialising object for PowerPivotGalleryItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"PowerPivotGalleryItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"PowerPivotGalleryItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"PowerPivotGalleryItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"PowerPivotGalleryItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	[syndicateArray addObject:@"m_Title"];
	
	return [syndicateArray autorelease];
}
-(PowerPivotGalleryItem *)getDeepCopy
{
	PowerPivotGalleryItem *obj=[[PowerPivotGalleryItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setTitle:[self getTitle]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Title release];
	m_Title = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:ReportingServicesItem
 * @key:Id
 */
@implementation ReportingServicesItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Title;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of ReportingServicesItem
 */
+ (id) CreateReportingServicesItemWithid:(NSNumber *)Id
{
	ReportingServicesItem *reportingservicesitem = [[ReportingServicesItem alloc]init];
	reportingservicesitem.m_Id = Id;
	return reportingservicesitem;
}
/**
 * Initialising object for ReportingServicesItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"ReportingServicesItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"ReportingServicesItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"ReportingServicesItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"ReportingServicesItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	[syndicateArray addObject:@"m_Title"];
	
	return [syndicateArray autorelease];
}
-(ReportingServicesItem *)getDeepCopy
{
	ReportingServicesItem *obj=[[ReportingServicesItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setTitle:[self getTitle]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Title release];
	m_Title = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:SharedDocumentsItem
 * @key:Id
 */
@implementation SharedDocumentsItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Title;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of SharedDocumentsItem
 */
+ (id) CreateSharedDocumentsItemWithid:(NSNumber *)Id
{
	SharedDocumentsItem *shareddocumentsitem = [[SharedDocumentsItem alloc]init];
	shareddocumentsitem.m_Id = Id;
	return shareddocumentsitem;
}
/**
 * Initialising object for SharedDocumentsItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"SharedDocumentsItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"SharedDocumentsItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"SharedDocumentsItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"SharedDocumentsItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	[syndicateArray addObject:@"m_Title"];
	
	return [syndicateArray autorelease];
}
-(SharedDocumentsItem *)getDeepCopy
{
	SharedDocumentsItem *obj=[[SharedDocumentsItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setTitle:[self getTitle]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Title release];
	m_Title = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:SiteAssetsItem
 * @key:Id
 */
@implementation SiteAssetsItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Title;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of SiteAssetsItem
 */
+ (id) CreateSiteAssetsItemWithid:(NSNumber *)Id
{
	SiteAssetsItem *siteassetsitem = [[SiteAssetsItem alloc]init];
	siteassetsitem.m_Id = Id;
	return siteassetsitem;
}
/**
 * Initialising object for SiteAssetsItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"SiteAssetsItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"SiteAssetsItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"SiteAssetsItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"SiteAssetsItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	[syndicateArray addObject:@"m_Title"];
	
	return [syndicateArray autorelease];
}
-(SiteAssetsItem *)getDeepCopy
{
	SiteAssetsItem *obj=[[SiteAssetsItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setTitle:[self getTitle]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Title release];
	m_Title = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:SitePagesItem
 * @key:Id
 */
@implementation SitePagesItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_Modified;
	@synthesize m_ModifiedById;
	@synthesize m_CopySource;
	@synthesize m_ApprovalStatus;
	@synthesize m_Path;
	@synthesize m_CheckedOutToId;
	@synthesize m_Name;
	@synthesize m_VirusStatus;
	@synthesize m_IsCurrentVersion;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_WikiContent;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_CheckedOutTo;

/**
 *Method to create an instance of SitePagesItem
 */
+ (id) CreateSitePagesItemWithid:(NSNumber *)Id
{
	SitePagesItem *sitepagesitem = [[SitePagesItem alloc]init];
	sitepagesitem.m_Id = Id;
	return sitepagesitem;
}
/**
 * Initialising object for SitePagesItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=YES;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"CheckedOutTo" forKey:@"CheckedOutTo"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CopySource"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ApprovalStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CheckedOutToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_VirusStatus"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsCurrentVersion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_WikiContent"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"SitePagesItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"SitePagesItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"SitePagesItem_CheckedOutTo" forKey:@"CheckedOutTo"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"SitePagesItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(SitePagesItem *)getDeepCopy
{
	SitePagesItem *obj=[[SitePagesItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModified:[self getModified]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setCopySource:[self getCopySource]];
	[obj setApprovalStatus:[self getApprovalStatus]];
	[obj setPath:[self getPath]];
	[obj setCheckedOutToId:[self getCheckedOutToId]];
	[obj setName:[self getName]];
	[obj setVirusStatus:[self getVirusStatus]];
	[obj setIsCurrentVersion:[self getIsCurrentVersion]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setWikiContent:[self getWikiContent]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setCheckedOutTo:[self getCheckedOutTo]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_CopySource release];
	m_CopySource = nil;
	[m_ApprovalStatus release];
	m_ApprovalStatus = nil;
	[m_Path release];
	m_Path = nil;
	[m_CheckedOutToId release];
	m_CheckedOutToId = nil;
	[m_Name release];
	m_Name = nil;
	[m_VirusStatus release];
	m_VirusStatus = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_WikiContent release];
	m_WikiContent = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_CheckedOutTo release];
	m_CheckedOutTo = nil;
	[super dealloc];
}

@end
/**
 * @interface:TasksItem
 * @key:Id
 */
@implementation TasksItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Title;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_PriorityValue;
	@synthesize m_StatusValue;
	@synthesize m_Complete;
	@synthesize m_AssignedToId;
	@synthesize m_TaskGroupId;
	@synthesize m_Description;
	@synthesize m_StartDate;
	@synthesize m_DueDate;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_Attachments;
	@synthesize m_Predecessors;
	@synthesize m_Priority;
	@synthesize m_Status;
	@synthesize m_AssignedTo;
	@synthesize m_TaskGroup;

/**
 *Method to create an instance of TasksItem
 */
+ (id) CreateTasksItemWithid:(NSNumber *)Id
{
	TasksItem *tasksitem = [[TasksItem alloc]init];
	tasksitem.m_Id = Id;
	return tasksitem;
}
/**
 * Initialising object for TasksItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"Attachments" forKey:@"Attachments"];
		[m_OData_entityMap setObject:@"Predecessors" forKey:@"Predecessors"];
		[m_OData_entityMap setObject:@"Priority" forKey:@"Priority"];
		[m_OData_entityMap setObject:@"Status" forKey:@"Status"];
		[m_OData_entityMap setObject:@"AssignedTo" forKey:@"AssignedTo"];
		[m_OData_entityMap setObject:@"TaskGroup" forKey:@"TaskGroup"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_PriorityValue"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_StatusValue"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Double" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Complete"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_AssignedToId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_TaskGroupId"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Description"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_StartDate"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_DueDate"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"TasksItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"TasksItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"TasksItem_Attachments" forKey:@"Attachments"];
		[m_OData_entityFKRelation setObject:@"TasksItem_Predecessors" forKey:@"Predecessors"];
		[m_OData_entityFKRelation setObject:@"TasksItem_Priority" forKey:@"Priority"];
		[m_OData_entityFKRelation setObject:@"TasksItem_Status" forKey:@"Status"];
		[m_OData_entityFKRelation setObject:@"TasksItem_AssignedTo" forKey:@"AssignedTo"];
		[m_OData_entityFKRelation setObject:@"TasksItem_TaskGroup" forKey:@"TaskGroup"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"TasksItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Title"];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(TasksItem *)getDeepCopy
{
	TasksItem *obj=[[TasksItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setTitle:[self getTitle]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setPriorityValue:[self getPriorityValue]];
	[obj setStatusValue:[self getStatusValue]];
	[obj setComplete:[self getComplete]];
	[obj setAssignedToId:[self getAssignedToId]];
	[obj setTaskGroupId:[self getTaskGroupId]];
	[obj setDescription:[self getDescription]];
	[obj setStartDate:[self getStartDate]];
	[obj setDueDate:[self getDueDate]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setAttachments:[self getAttachments]];
	[obj setPredecessors:[self getPredecessors]];
	[obj setPriority:[self getPriority]];
	[obj setStatus:[self getStatus]];
	[obj setAssignedTo:[self getAssignedTo]];
	[obj setTaskGroup:[self getTaskGroup]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Title release];
	m_Title = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	[m_PriorityValue release];
	m_PriorityValue = nil;
	[m_StatusValue release];
	m_StatusValue = nil;
	[m_Complete release];
	m_Complete = nil;
	[m_AssignedToId release];
	m_AssignedToId = nil;
	[m_TaskGroupId release];
	m_TaskGroupId = nil;
	[m_Description release];
	m_Description = nil;
	[m_StartDate release];
	m_StartDate = nil;
	[m_DueDate release];
	m_DueDate = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[m_Predecessors release];
	m_Predecessors = nil;
	[m_Priority release];
	m_Priority = nil;
	[m_Status release];
	m_Status = nil;
	[m_AssignedTo release];
	m_AssignedTo = nil;
	[m_TaskGroup release];
	m_TaskGroup = nil;
	[super dealloc];
}

@end
/**
 * @interface:TasksPriorityValue
 * @key:Value
 */
@implementation TasksPriorityValue
	@synthesize m_Value;

/**
 *Method to create an instance of TasksPriorityValue
 */
+ (id) CreateTasksPriorityValueWithvalue:(NSString *)Value
{
	TasksPriorityValue *taskspriorityvalue = [[TasksPriorityValue alloc]init];
	taskspriorityvalue.m_Value = Value;
	return taskspriorityvalue;
}
/**
 * Initialising object for TasksPriorityValue
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Value"];
		[obj release];
		

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Value"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"TasksPriorityValue"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Value"];
	
	return [syndicateArray autorelease];
}
-(TasksPriorityValue *)getDeepCopy
{
	TasksPriorityValue *obj=[[TasksPriorityValue alloc]initWithUri:[self getBaseURI]];
	[obj setValue:[self getValue]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Value release];
	m_Value = nil;
	
	[super dealloc];
}

@end
/**
 * @interface:TasksStatusValue
 * @key:Value
 */
@implementation TasksStatusValue
	@synthesize m_Value;

/**
 *Method to create an instance of TasksStatusValue
 */
+ (id) CreateTasksStatusValueWithvalue:(NSString *)Value
{
	TasksStatusValue *tasksstatusvalue = [[TasksStatusValue alloc]init];
	tasksstatusvalue.m_Value = Value;
	return tasksstatusvalue;
}
/**
 * Initialising object for TasksStatusValue
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Value"];
		[obj release];
		

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Value"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"TasksStatusValue"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Value"];
	
	return [syndicateArray autorelease];
}
-(TasksStatusValue *)getDeepCopy
{
	TasksStatusValue *obj=[[TasksStatusValue alloc]initWithUri:[self getBaseURI]];
	[obj setValue:[self getValue]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Value release];
	m_Value = nil;
	
	[super dealloc];
}

@end
/**
 * @interface:TeamDiscussionItem
 * @key:Id
 */
@implementation TeamDiscussionItem
	@synthesize m_Id;
	@synthesize m_ContentTypeID;
	@synthesize m_ContentType;
	@synthesize m_Subject;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_Body;
	@synthesize m_ModifiedById0;
	@synthesize m_LastUpdated;
	@synthesize m_EMailSender;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_Attachments;
	@synthesize m_ModifiedBy0;

/**
 *Method to create an instance of TeamDiscussionItem
 */
+ (id) CreateTeamDiscussionItemWithid:(NSNumber *)Id
{
	TeamDiscussionItem *teamdiscussionitem = [[TeamDiscussionItem alloc]init];
	teamdiscussionitem.m_Id = Id;
	return teamdiscussionitem;
}
/**
 * Initialising object for TeamDiscussionItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"Attachments" forKey:@"Attachments"];
		[m_OData_entityMap setObject:@"ModifiedBy0" forKey:@"ModifiedBy0"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Subject"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Body"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById0"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_LastUpdated"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_EMailSender"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"TeamDiscussionItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"TeamDiscussionItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"TeamDiscussionItem_Attachments" forKey:@"Attachments"];
		[m_OData_entityFKRelation setObject:@"TeamDiscussionItem_ModifiedBy0" forKey:@"ModifiedBy0"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"TeamDiscussionItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Subject"];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(TeamDiscussionItem *)getDeepCopy
{
	TeamDiscussionItem *obj=[[TeamDiscussionItem alloc]initWithUri:[self getBaseURI]];
	[obj setId:[self getId]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setContentType:[self getContentType]];
	[obj setSubject:[self getSubject]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setBody:[self getBody]];
	[obj setModifiedById0:[self getModifiedById0]];
	[obj setLastUpdated:[self getLastUpdated]];
	[obj setEMailSender:[self getEMailSender]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setAttachments:[self getAttachments]];
	[obj setModifiedBy0:[self getModifiedBy0]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_Id release];
	m_Id = nil;
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Subject release];
	m_Subject = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	[m_Body release];
	m_Body = nil;
	[m_ModifiedById0 release];
	m_ModifiedById0 = nil;
	[m_LastUpdated release];
	m_LastUpdated = nil;
	[m_EMailSender release];
	m_EMailSender = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[m_ModifiedBy0 release];
	m_ModifiedBy0 = nil;
	[super dealloc];
}

@end
/**
 * @interface:UserInformationListItem
 * @key:Id
 */
@implementation UserInformationListItem
	@synthesize m_ContentTypeID;
	@synthesize m_Name;
	@synthesize m_Account;
	@synthesize m_WorkEMail;
	@synthesize m_MobilePhone;
	@synthesize m_AboutMe;
	@synthesize m_SIPAddress;
	@synthesize m_IsSiteAdmin;
	@synthesize m_Deleted;
	@synthesize m_Picture;
	@synthesize m_Department;
	@synthesize m_Title;
	@synthesize m_FirstName;
	@synthesize m_LastName;
	@synthesize m_WorkPhone;
	@synthesize m_UserName;
	@synthesize m_WebSite;
	@synthesize m_AskMeAbout;
	@synthesize m_Office;
	@synthesize m_Id;
	@synthesize m_ContentType;
	@synthesize m_Modified;
	@synthesize m_Created;
	@synthesize m_CreatedById;
	@synthesize m_ModifiedById;
	@synthesize m_Owshiddenversion;
	@synthesize m_Version;
	@synthesize m_Path;
	@synthesize m_CreatedBy;
	@synthesize m_ModifiedBy;
	@synthesize m_Attachments;

/**
 *Method to create an instance of UserInformationListItem
 */
+ (id) CreateUserInformationListItemWithid:(NSNumber *)Id
{
	UserInformationListItem *userinformationlistitem = [[UserInformationListItem alloc]init];
	userinformationlistitem.m_Id = Id;
	return userinformationlistitem;
}
/**
 * Initialising object for UserInformationListItem
 */
- (id) init
{
	self=[self initWithUri:nil];
	return self;
}

- (id) initWithUri:(NSString*)anUri 
{
	if(self=[super initWithUri:anUri])
	{
		[self setBaseURI:anUri];
		m_OData_hasStream.booleanvalue=NO;
		[m_OData_entityMap setObject:@"CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityMap setObject:@"ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityMap setObject:@"Attachments" forKey:@"Attachments"];
		mProperties *obj;
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentTypeID"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationTitle" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Name"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Account"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_WorkEMail"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_MobilePhone"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_AboutMe"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_SIPAddress"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_IsSiteAdmin"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Boolean" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Deleted"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Picture"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Department"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Title"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_FirstName"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_LastName"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_WorkPhone"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_UserName"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_WebSite"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_AskMeAbout"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Office"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:NO Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Id"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ContentType"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"SyndicationUpdated" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"text" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Modified"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.DateTime" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Created"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_CreatedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_ModifiedById"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.Int32" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"Fixed" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Owshiddenversion"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Version"];
		[obj release];
		
		obj=[[mProperties alloc]initWithEdmType:@"Edm.String" MaxLength:@"" MinLength:@"" FixedLength:NO Nullable:YES Unicode:NO ConcurrencyMode:@"" FC_TargetPath:@"" FC_KeepInContent:YES FC_SourcePath:@"" FC_ContentKind:@"" FC_NsPrefix:@"" FC_NsUri:@""];
		[m_OData_propertiesMap setObject:obj forKey:@"m_Path"];
		[obj release];
		
		[m_OData_entityFKRelation setObject:@"UserInformationListItem_CreatedBy" forKey:@"CreatedBy"];
		[m_OData_entityFKRelation setObject:@"UserInformationListItem_ModifiedBy" forKey:@"ModifiedBy"];
		[m_OData_entityFKRelation setObject:@"UserInformationListItem_Attachments" forKey:@"Attachments"];

		NSMutableArray *anEntityKey=[[NSMutableArray alloc]init];
		[anEntityKey addObject:@"Id"];
		[m_OData_entityKey setObject:anEntityKey forKey:@"UserInformationListItem"];
		[anEntityKey release];
	}
	return self;
}

-(NSMutableArray *)getSyndicateArray
{
	NSMutableArray *syndicateArray=[[NSMutableArray alloc]init];
	[syndicateArray addObject:@"m_Name"];
	[syndicateArray addObject:@"m_Modified"];
	
	return [syndicateArray autorelease];
}
-(UserInformationListItem *)getDeepCopy
{
	UserInformationListItem *obj=[[UserInformationListItem alloc]initWithUri:[self getBaseURI]];
	[obj setContentTypeID:[self getContentTypeID]];
	[obj setName:[self getName]];
	[obj setAccount:[self getAccount]];
	[obj setWorkEMail:[self getWorkEMail]];
	[obj setMobilePhone:[self getMobilePhone]];
	[obj setAboutMe:[self getAboutMe]];
	[obj setSIPAddress:[self getSIPAddress]];
	[obj setIsSiteAdmin:[self getIsSiteAdmin]];
	[obj setDeleted:[self getDeleted]];
	[obj setPicture:[self getPicture]];
	[obj setDepartment:[self getDepartment]];
	[obj setTitle:[self getTitle]];
	[obj setFirstName:[self getFirstName]];
	[obj setLastName:[self getLastName]];
	[obj setWorkPhone:[self getWorkPhone]];
	[obj setUserName:[self getUserName]];
	[obj setWebSite:[self getWebSite]];
	[obj setAskMeAbout:[self getAskMeAbout]];
	[obj setOffice:[self getOffice]];
	[obj setId:[self getId]];
	[obj setContentType:[self getContentType]];
	[obj setModified:[self getModified]];
	[obj setCreated:[self getCreated]];
	[obj setCreatedById:[self getCreatedById]];
	[obj setModifiedById:[self getModifiedById]];
	[obj setOwshiddenversion:[self getOwshiddenversion]];
	[obj setVersion:[self getVersion]];
	[obj setPath:[self getPath]];
	[obj setCreatedBy:[self getCreatedBy]];
	[obj setModifiedBy:[self getModifiedBy]];
	[obj setAttachments:[self getAttachments]];

	return [obj autorelease];
}
- (void) dealloc
{
	[m_ContentTypeID release];
	m_ContentTypeID = nil;
	[m_Name release];
	m_Name = nil;
	[m_Account release];
	m_Account = nil;
	[m_WorkEMail release];
	m_WorkEMail = nil;
	[m_MobilePhone release];
	m_MobilePhone = nil;
	[m_AboutMe release];
	m_AboutMe = nil;
	[m_SIPAddress release];
	m_SIPAddress = nil;
	[m_Picture release];
	m_Picture = nil;
	[m_Department release];
	m_Department = nil;
	[m_Title release];
	m_Title = nil;
	[m_FirstName release];
	m_FirstName = nil;
	[m_LastName release];
	m_LastName = nil;
	[m_WorkPhone release];
	m_WorkPhone = nil;
	[m_UserName release];
	m_UserName = nil;
	[m_WebSite release];
	m_WebSite = nil;
	[m_AskMeAbout release];
	m_AskMeAbout = nil;
	[m_Office release];
	m_Office = nil;
	[m_Id release];
	m_Id = nil;
	[m_ContentType release];
	m_ContentType = nil;
	[m_Modified release];
	m_Modified = nil;
	[m_Created release];
	m_Created = nil;
	[m_CreatedById release];
	m_CreatedById = nil;
	[m_ModifiedById release];
	m_ModifiedById = nil;
	[m_Owshiddenversion release];
	m_Owshiddenversion = nil;
	[m_Version release];
	m_Version = nil;
	[m_Path release];
	m_Path = nil;
	
	[m_CreatedBy release];
	m_CreatedBy = nil;
	[m_ModifiedBy release];
	m_ModifiedBy = nil;
	[m_Attachments release];
	m_Attachments = nil;
	[super dealloc];
}

@end
